Bug 861960 - Disabling primary display when secondary is enabled blanks both of them
Disabling primary display when secondary is enabled blanks both of them
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
18
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Ben Skeggs
Michal Domonkos
RejectedBlocker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-01 08:46 EDT by Martin
Modified: 2014-09-14 20:03 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-02 10:58:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Martin 2012-10-01 08:46:50 EDT
Description of problem:
Disabling primary display when secondary is enabled blanks both of them.

Version-Release number of selected component (if applicable):
xorg-x11-drv-nouveau-1.0.1-6.fc18.x86_64
kernel-3.6.0-0.rc7.git0.1.fc18.x86_64
04:00.0 VGA compatible controller: NVIDIA Corporation G98 [Quadro NVS 450] (rev a1)

How reproducible:
always

Steps to Reproduce:
1. Boot machine.
2. Connect secondary monitor.
3. Enable secondary monitor and expand workspace to it.
4. Disable primary monitor.
Comment 1 Tim Flink 2012-11-30 15:52:14 EST
I don't see how this violates any of the F18 release criteria. If I'm misunderstanding something, please list the F18 release criterion (alpha, beta or final; links at the bottom of this comment) which this bug violates or at least a justification of why this bug should block the release of F18.

http://fedoraproject.org/wiki/Fedora_18_Alpha_Release_Criteria
http://fedoraproject.org/wiki/Fedora_18_Beta_Release_Criteria
http://fedoraproject.org/wiki/Fedora_18_Final_Release_Criteria

-1 blocker unless I'm misunderstanding something here
Comment 2 Adam Williamson 2012-12-01 03:31:51 EST
ditto tflink, -1.
Comment 3 Jaroslav Reznik 2012-12-03 05:53:09 EST
-1 blocker, related to dual head setup and seems to be specific to user's HW.
Comment 4 Kevin Fenzi 2012-12-04 18:47:06 EST
-1 blocker.
Comment 5 Robyn Bergeron 2012-12-05 01:02:15 EST
-1 blocker
Comment 6 Tim Flink 2012-12-05 10:25:15 EST
I count -5 blocker votes here, moving to rejected
Comment 7 Martin 2013-06-11 12:49:58 EDT
Michal, are you able to reproduce it on latest Fedora 18 or 19 using Quadro NVS 450?
Comment 8 Michal Domonkos 2013-06-24 12:52:08 EDT
I couldn't reproduce this issue.  I booted up, connected a secondary monitor (at this point the desktop extended itself automatically), went to Settings->Displays, disabled the first monitor and ended up with only the secondary monitor powered on, as expected.  So the bug is fixed (unless I did something in a different way).

Versions:
xorg-x11-drv-nouveau-1.0.7-1.fc19.x86_64
kernel-3.9.6-301.fc19.x86_64
Comment 9 Martin 2013-06-27 05:48:26 EDT
Could you test this also in KDE?
Comment 11 Michal Domonkos 2013-08-21 06:35:29 EDT
Just tested in KDE with the latest packages:

kde-workspace-4.10.5-3.fc19.x86_64
xorg-x11-drv-nouveau-1.0.9-1.fc19.x86_64
kernel-3.10.7-200.fc19.x86_64

And there was no such issue when following the steps in Description.
Comment 12 Fedora End Of Life 2013-12-21 04:00:13 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Martin 2014-01-02 10:58:55 EST
Seems to be fixed in F19 according to comment #11.

Note You need to log in before you can comment on or make changes to this bug.